package com.link.core.basic.security;

import java.util.HashMap;
import java.util.Map;

public class OauthLevel {
   private static final Map<String, Integer> OAUTH_LEVEL = new HashMap(8);
   private static final int[][] OAUTH_LEVEL_MATRIX = new int[][]{{1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {0, 1, 1, 0, 0, 1, 1, 0, 1, 0, 0, 1, 0}, {0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, {0, 0, 0, 1, 1, 1, 0, 1, 0, 1, 0, 0, 1}, {0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0}, {0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, {0, 1, 1, 0, 0, 1, 1, 0, 1, 0, 1, 1, 1}, {0, 0, 0, 1, 1, 1, 0, 1, 0, 1, 1, 1, 1}, {0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 1, 1, 1}, {0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 1, 1}, {0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, {0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0}, {0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1}};
   private static final Map<Integer, String> OAUTH_MATRIX_COORDINATE = new HashMap(16);
   private static final Map<String, Integer> REVERSE_OAUTH_MATRIX_COORDINATE = new HashMap(16);

   public static Map<String, Integer> getOauthLevel() {
      return OAUTH_LEVEL;
   }

   public static int[][] getOauthLevelMatrix() {
      return OAUTH_LEVEL_MATRIX;
   }

   public static Map<Integer, String> getOauthMatrixCoordinate() {
      return OAUTH_MATRIX_COORDINATE;
   }

   public static Map<String, Integer> getReverseOauthMatrixCoordinate() {
      return REVERSE_OAUTH_MATRIX_COORDINATE;
   }

   static {
      OAUTH_LEVEL.put("ALL", 1);
      OAUTH_LEVEL.put("MY_ORG", 2);
      OAUTH_LEVEL.put("MY_ORG_ONLY", 3);
      OAUTH_LEVEL.put("MY_POSTN", 4);
      OAUTH_LEVEL.put("MY_POSTN_ONLY", 5);
      OAUTH_LEVEL.put("MY", 6);
      OAUTH_LEVEL.put("MULTI_ORG_SUBS_P", 7);
      OAUTH_LEVEL.put("MULTI_POSTN_SUBS_P", 8);
      OAUTH_LEVEL.put("MULTI_ORG_P", 9);
      OAUTH_LEVEL.put("MULTI_POSTN_P", 10);
      OAUTH_LEVEL.put("MULTI_ORG", 12);
      OAUTH_LEVEL.put("MULTI_POSTN", 13);
      OAUTH_MATRIX_COORDINATE.put(0, "ALL");
      OAUTH_MATRIX_COORDINATE.put(1, "MY_ORG");
      OAUTH_MATRIX_COORDINATE.put(2, "MY_ORG_ONLY");
      OAUTH_MATRIX_COORDINATE.put(3, "MY_POSTN");
      OAUTH_MATRIX_COORDINATE.put(4, "MY_POSTN_ONLY");
      OAUTH_MATRIX_COORDINATE.put(5, "MY");
      OAUTH_MATRIX_COORDINATE.put(6, "MULTI_ORG_SUBS_P");
      OAUTH_MATRIX_COORDINATE.put(7, "MULTI_POSTN_SUBS_P");
      OAUTH_MATRIX_COORDINATE.put(8, "MULTI_ORG_P");
      OAUTH_MATRIX_COORDINATE.put(9, "MULTI_POSTN_P");
      OAUTH_MATRIX_COORDINATE.put(10, "VISIT_GROUP");
      OAUTH_MATRIX_COORDINATE.put(11, "MULTI_ORG");
      OAUTH_MATRIX_COORDINATE.put(12, "MULTI_POSTN");
      REVERSE_OAUTH_MATRIX_COORDINATE.put("ALL", 0);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MY_ORG", 1);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MY_ORG_ONLY", 2);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MY_POSTN", 3);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MY_POSTN_ONLY", 4);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MY", 5);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MULTI_ORG_SUBS_P", 6);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MULTI_POSTN_SUBS_P", 7);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MULTI_ORG_P", 8);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MULTI_POSTN_P", 9);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("VISIT_GROUP", 10);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MULTI_ORG", 11);
      REVERSE_OAUTH_MATRIX_COORDINATE.put("MULTI_POSTN", 12);
   }
}
